#ifndef UTILTOOL_H
#define UTILTOOL_H

#include <iostream>
#include <array>

enum class MediaType{
    VIDEO,
    AUDIO,
    IMAGE,
    UNSUPPORT,
};

class UtilTool
{
private:
    constexpr static std::array<std::string, 2> ImageTypes{"jpg","png"};
    constexpr static std::array<std::string, 1> VideoTypes{"mp4"};
    constexpr static std::array<std::string, 1> AudioTypes{"mp3"};
    static bool CheckFileIsImage(const std::string& filename);
    static bool CheckFileIsAudio(const std::string& filename);
    static bool CheckFileIsVideo(const std::string& filename);
public:
    static MediaType CheckFileType(const std::string& filename);
};

#endif // !UTILTOOL_H